Description

It would be good if the epxression editor could show a list of:

a) relations (group could be called "Relations")

b) other tables (group could be called "Tables")

Just like the "Fields and values" group, it would be a list of existing relations and tables.

Otherwise it is a bit complicated spelling relation names and table names correctly.

The relation_aggregate expression and the get_feature function would be much easier to use with this enhancement. I would also assume

that in the future, there will be more expression functions that make use of other tables and relations.

Associated revisions

Revision 878ee5c0 - 2017-07-31 12:08 AM - Nyall Dawson

Add items for project map layers and relations to expression builder

Allows easy insertion of map layer IDs and relation IDs into

expressions. Numerous expression functions now utilise these,

so it makes sense to allow them to be easily inserted.

Fix #11680, #16879

Sponsored by Andreas Neumann

Revision ae806ad1 - 2017-09-28 02:16 PM - Nyall Dawson

Add items for project map layers and relations to expression builder

Allows easy insertion of map layer IDs and relation IDs into

expressions. Numerous expression functions now utilise these,

so it makes sense to allow them to be easily inserted.

Fix #11680, #16879

Sponsored by Andreas Neumann
History

#1 - 2017-07-17 11:28 AM - Andreas Neumann

The relation names and table names should be copied with single quotes around them, to be useable in the expressions.

#2 - 2017-07-17 11:34 AM - Nyall Dawson

- Assignee set to Nyall Dawson

I'll tackle this - I'd also find this very useful.

#3 - 2017-07-17 12:32 PM - Harrissou Santanna

related to #11680

#4 - 2017-08-01 11:30 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|878ee5c067b86defaaad0ad36c9af0b45b86aa95.
